<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="en__clk__dst__type_8h" kind="file" language="C++">
    <compoundname>en_clk_dst_type.h</compoundname>
      <sectiondef kind="enum">
      <memberdef id="group__group__sysclk__clk__peripheral__enums_1ga9aa4619e36f4b0314e9b882f4ff2b6df" kind="enum" prot="public" static="no">
        <name>en_clk_dst_t</name>
        <briefdescription>
<para><bold>en_clk_dst_t: </bold><linebreak />The enumerated type that represents a particular peripheral, used when assigning a peripheral to a peripheral clock divider. These values are device-specific. Refer to a device-specific header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h for the specific enumerations for each peripheral for that device.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="16" bodyfile="mainpage/en_clk_dst_type.h" bodystart="16" column="1" file="mainpage/en_clk_dst_type.h" line="16" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="preprocessor">#if<sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="2"><highlight class="normal" /></codeline>
<codeline lineno="3"><highlight class="normal">The<sp />enumerated<sp />type<sp />that<sp />represents<sp />a<sp />particular<sp />peripheral,<sp />used<sp />when<sp />assigning</highlight></codeline>
<codeline lineno="4"><highlight class="normal">a<sp />peripheral<sp />to<sp />a<sp />peripheral<sp />clock<sp />divider.<sp />These<sp />values<sp />are<sp />device-specific.<sp />Refer</highlight></codeline>
<codeline lineno="5"><highlight class="normal">to<sp />a<sp />device-specific<sp />header<sp />file,<sp />e.g.</highlight></codeline>
<codeline lineno="6"><highlight class="normal">\&lt;PDL_DIR\&gt;/devices/include/psoc6_01_config.h<sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />the<sp />specific</highlight></codeline>
<codeline lineno="7"><highlight class="normal">enumerations<sp /></highlight><highlight class="keywordflow">for<sp />each</highlight><highlight class="normal"><sp />peripheral<sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />that<sp />device.</highlight></codeline>
<codeline lineno="9"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="10"><highlight class="normal" /></codeline>
<codeline lineno="16"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga9aa4619e36f4b0314e9b882f4ff2b6df">en_clk_dst_t</ref>;</highlight></codeline>
<codeline lineno="19"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="mainpage/en_clk_dst_type.h" />
  </compounddef>
</doxygen>